블로그 이미지
Max.

calendar

1 2 3 4 5 6 7
8 9 10 11 12 13 14
15 16 17 18 19 20 21
22 23 24 25 26 27 28
29 30 31        

Notice

2009.03.05 13:47 개발관련
삽질했습니다.
오랜만에 이클립스를 업데이트하려고 SR2를 다운 받아서 설정을 하려고 했는데, m2eclipse를 설치하고, 이클립스를 재시작하니 아래와 같은 메시지가 나옵니다.

Eclipse is running in a JRE, but a JDK is required
  Some Maven plugins may not work when importing projects or updating source folders.

간단하게 ecliplse.ini 에서 -vm 옵션으로 JDK를 지정했는데, 그래도 같은 현상이 계속되었습니다. 구글링하니, -vm 옵션을 줄때 더블쿼테이션(")을 주라고 하길레 그렇게해도 그 현상은 계속 됩니다. 좀 짜증이 나겠죠? 좀더 찾아봤습니다.

그래서 해결 했습니다.
이유는 저같이 바로가기 아이콘으로 이클립스를 시작할때는 eclipse.ini에 설정하지 말고, 바로가기 아이콘 속성창에서 대상에 -vm 옵션을 더블쿼테이션과 함께 써주고 실행하면 된다는 것이였습니다.

그래서 삽질 인증샷을 올립니다. ^^*

사용자 삽입 이미지
신고
posted by Max.